Explorar
Use el extremo Explore para acceder programáticamente a sus datos de Violet.
El explorar el endpoint te permite consultar programáticamente tus datos de Violet, usando los mismos filtros y columnas disponibles en el Explorador de datos.
Genera una consulta
Las cargas útiles de la API se describen a continuación, o puedes generar una consulta automáticamente usando el Explorador de datos.
Ve a Explorador de datos para generar una consulta. Puedes usar Vistas rápidas, una exploración guardada o filtros para configurar la consulta de los datos que te interesan.

Después, haz clic en el
Copiar carga útil de la APIbotón en la barra de herramientas.

La carga útil de la API para la consulta se copiará en tu portapapeles; luego podrás pegarla directamente en una solicitud.
¿Por qué POST?
El Explorar el endpoint admite un amplio conjunto de opciones de filtrado de datos, por lo que Violet usa un POST endpoint para la consulta. Esto permite enviar consultas complejas en una carga útil del cuerpo en lugar de directamente en la URL.
Search keyword to filter entities
part numberArray of group keys (strings or objects)
Elasticsearch sort configuration
Page number (1-indexed)
1Number of items per page
50Whether to include parameters in the response
falseWhether to include sub-entities in the response
falseWhether to include entity schemas in the response
falseSearch for entities
POST /api/explore HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 410
{
"keyword": "part number",
"rowGroupCols": [
{
"id": "text",
"displayName": "text",
"field": "text"
}
],
"groupKeys": [],
"filterModel": {
"ANY_ADDITIONAL_PROPERTY": {
"filterType": "text",
"type": "text",
"operator": "AND",
"filter": "text",
"filterTo": "text",
"dateFrom": "text",
"dateTo": "text",
"values": [
"text"
],
"conditions": []
}
},
"sort": {},
"page": 1,
"limit": 50,
"includeParameters": false,
"includeSubEntities": false,
"includeSchemas": false
}Search for entities
{
"items": [
{
"id": "text",
"entityType": "text",
"key": "text",
"name": "text",
"externalId": "text",
"tenantId": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"externalLastModifiedAt": "2026-01-01T00:00:00.000Z",
"externalCreatedAt": "2026-01-01T00:00:00.000Z",
"violetId": "text",
"violetCoreEntity": "Account",
"externalUrl": "text",
"description": "text",
"s3FileUrl": "text",
"isReference": true,
"isSubEntity": true,
"isRevision": true,
"isContainer": true,
"isCustomEntity": true,
"namedEntityProperties": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"namedEntityId": "123e4567-e89b-12d3-a456-426614174000",
"violetEntityId": "123e4567-e89b-12d3-a456-426614174000",
"propertyName": "text",
"propertyIndex": 1,
"namedEntity": "[Circular Reference]"
}
],
"application": {
"id": "text",
"name": "text",
"imageUrl": "text"
},
"applicationId": "text",
"tags": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"color": "text",
"taggingsCount": 1,
"taggedEntityIds": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
],
"connectionIds": [
"text"
],
"programIds": [
"text"
],
"integrationIds": [
"text"
],
"integrationNames": [
"text"
],
"externalEntitySchemaIds": [
"text"
],
"internalEntitySchemaIds": [
"text"
],
"violetScriptId": "text",
"parameterId": "text",
"assignee": "text",
"cost": 1,
"dueDate": "text",
"mass": 1,
"part": "text",
"status": "text",
"import": true,
"properties": {},
"categories": {},
"entityDesignations": [
"ASSEMBLY"
],
"partOrAssemblyDescriptor": "ASSEMBLY"
}
],
"meta": {
"itemCount": 1,
"totalItems": 1,
"itemsPerPage": 1,
"totalPages": 1,
"currentPage": 1
},
"links": {
"first": "text",
"previous": "text",
"next": "text",
"last": "text"
}
}GET /api/explore/column/{column}?size=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
"text"
]Última actualización
¿Te fue útil?

